# Generated from graffiti-2.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name graffiti

Name: rubygem-%{gem_name}
Version: 2.3.2
Release: 1%{?dist}
Summary: Relational RDF store for Ruby
License: GPL-3.0+
URL: https://github.com/angdraug/graffiti
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Graffiti is an RDF store based on dynamic translation of RDF queries into SQL.
Graffiti allows one to map any relational database schema into RDF semantics
and vice versa, to store any RDF data in a relational database.
Graffiti uses Sequel to connect to database backend and provides a DBI-like
interface to run RDF queries in Squish query language from Ruby applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%{gem_instdir}/TODO
%{gem_libdir}
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog.mtn
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/graffiti.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 2.3.2-1
- Initial package
